//-----------------------------------------------------------------------------
//    FWK_TIN_NBME_2.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------
package sim.test.framework.fwk_tin_nbme;

//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------
import sim.toolkit.* ;
import javacard.framework.* ;
import sim.test.util.* ;

/**
 * Test Area : Framework_ToolkitInstallation_MaximumNumberOfMenuEntry(byte event) method
 * 
 * Applet is triggered on Install (Install), EVENT_MENU_SELECTION
 *
 * @version 0.0.1 - 20/09/01
 *
 */
public class FWK_TIN_NBME_2 extends TestToolkitApplet
{ 
	public static byte [] MenuEntry1 =
						{(byte) 'M',
						(byte) 'e',
						(byte) 'n',
						(byte) 'u',
						(byte) '1' };
	/**
     * Constructor of the applet
     */
	
	public FWK_TIN_NBME_2()
	{

	} 

	/**
     * Method called by the JCRE at the installation of the applet
     */
	public static void install(byte bArray[], short bOffset, byte bLength)
	{
		boolean bRes = false;
		byte	result = (byte) 0;
		byte	testCaseNb = (byte)1;

		// Create a new applet instance
		FWK_TIN_NBME_2 thisApplet = new FWK_TIN_NBME_2();

		// Register the new applet instance to the JCRE
		thisApplet.register(bArray, (short)(bOffset+1), (byte) bArray[bOffset]);

		// Initialise the data of the test applet
		thisApplet.init();

		// -----------------------------------------------------------------
		//	Test Case 3 :		initMenuEntry()with parameters: 
		//						MenuEntry = Menu1
		//						Offset = 0
		//						Length = Menu1.length
		//						NextAction = 0
		//						HelpSupported = false
		//						IconQualifier = 0
		//						IconIdentifier = 0
		//						Shall throw a ToolkitException.REGISTRY_ERROR
		// -----------------------------------------------------------------
		try {
			result = thisApplet.obReg.initMenuEntry(FWK_TIN_NBME_2.MenuEntry1, (byte) 0, 
							(short)FWK_TIN_NBME_2.MenuEntry1.length, (byte) 0, false, (byte) 0, (short) 0);
		}

		catch (ToolkitException e) {
			bRes = (e.getReason() == ToolkitException.REGISTRY_ERROR);
		}

		catch (Exception e) {
			bRes = false;
		}

		thisApplet.reportTestOutcome(testCaseNb, bRes);
	
	}


    /**
     * Method called by the SIM Toolkit Framework
     */
	public void processToolkit(byte event)
	{

	}
 
}