//-----------------------------------------------------------------------------
//    FWK_APT_EMSH_1.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------

package sim.test.framework.fwk_apt_emsh;


//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------


import sim.toolkit.*;
import javacard.framework.*;
import sim.test.util.*;


/**
 * Test Area: pplet Triggering
 *
 * Applet is triggered on Install (Install, all events
 *
 * @version 0.0.1 - 15/11/01
 *
 */

 public class FWK_APT_EMSH_1 extends TestToolkitApplet{

     private byte testCaseNb = (byte) 0x00;
     private byte[] menuEntry1 ={(byte)'A',(byte)'p',(byte)'p',(byte)'l',(byte)'e',(byte)' ',(byte)'1'};
     private static boolean bRes;
     //private static ToolkitRegistry obReg;
     

    //Constructor of the applet

    public FWK_APT_EMSH_1(){
        //register to EVENT MENU SELECTION HELP REQUEST
       // obReg=ToolkitRegistry.getEntry();
        obReg.initMenuEntry(menuEntry1,(short)0x00,(short)menuEntry1.length,(byte)0x00,true,(byte)0x00,(short)0x00);
    }


    //Method called by the JCRE at the installation of the applet
    public static void install (byte bArray[], short bOffset, byte bLength){

        //Create a new applet instace
        FWK_APT_EMSH_1 thisApplet = new FWK_APT_EMSH_1();

        // Register the new applet instance to the JCRE
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);
        // Initialise the data of the test applet
        thisApplet.init();
        bRes=thisApplet.obReg.isEventSet(EVENT_MENU_SELECTION_HELP_REQUEST);
    }


    //Method called by the SIM Toolkit Framework

    public void processToolkit(byte event){

      switch(testCaseNb){
            case (byte)0x00:
                //TEST CASE 1: THE APPLET IS REGISTERED TO EVENT_MENU_SELECTION EVENT
        	testCaseNb=(byte)0x01;
        	reportTestOutcome(testCaseNb,bRes);
        	//TESTCASE 2: THE APPLET IS TRIGGERED
                bRes=false;
                testCaseNb=(byte)0x02;
                bRes=true;
                reportTestOutcome(testCaseNb,bRes);
                reportTestOutcome((byte)0x03,bRes);
            break;

            case (byte)0x02:
                bRes=false;
                testCaseNb=(byte)0x03;
                reportTestOutcome(testCaseNb,bRes);
        }

    }


 }