//-----------------------------------------------------------------------------
//    FWK_PCS_SPCO_1.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------
package sim.test.framework.fwk_pcs_spco;

//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------
import sim.toolkit.* ;
import javacard.framework.* ;
import sim.test.util.* ;

/**
 * Test Area : sim.framework...
 *
 * Applet is triggered on Install (Install), EVENT_MENU_SELECTION
 *
 * @version 0.0.1 - 15/07/01
 *
 */

public class FWK_PCS_SPCO_1 extends TestToolkitApplet
{

 	private static byte[] MenuInit = {(byte)'M',(byte)'e',(byte)'n',(byte)'u',(byte)'1'};

	private static byte[] Test = {(byte)'T',(byte)'e',(byte)'s',(byte)'t',(byte)' ',(byte)'A'} ;

	private byte result = (byte) 0;

	/**
     * Constructor of the applet
     */
    public FWK_PCS_SPCO_1()
    {

    }


    /**
     * Method called by the JCRE at the installation of the applet.
     */
    public static void install(byte bArray[], short bOffset, byte bLength) {

        // Create a new applet instance.
        FWK_PCS_SPCO_1 thisApplet = new FWK_PCS_SPCO_1();

        // Register the new applet instance to the JCRE.
        thisApplet.register(bArray, (short)(bOffset+1), (byte)bArray[bOffset]);

        // Initialise the data of the test applet.
        thisApplet.init();

	// -----------------------------------------------------------------
	// Test Case 1 : init MenuEntrys and Send SET UP MENU after Install
	// -----------------------------------------------------------------
	byte testCaseNb = (byte) 0x00;
	boolean bRes = false;
	thisApplet.result = thisApplet.obReg.initMenuEntry(MenuInit, (short) 0, (short)MenuInit.length, (byte) 0, false, (byte) 0, (short) 0);
	MenuInit[4] = (byte) '2';
	thisApplet.result = thisApplet.obReg.initMenuEntry(MenuInit, (short) 0, (short)MenuInit.length, (byte) 0, true, (byte) 0, (short) 0);
	MenuInit[4] = (byte) '3';
	thisApplet.result = thisApplet.obReg.initMenuEntry(MenuInit, (short) 0, (short)MenuInit.length, (byte) 0, false, (byte) 0, (short) 0);

	thisApplet.obReg.setEvent((byte) EVENT_EVENT_DOWNLOAD_MT_CALL);
	thisApplet.obReg.setEvent((byte) EVENT_EVENT_DOWNLOAD_LOCATION_STATUS);

	testCaseNb=(byte)0x01;
	bRes = true;
	thisApplet.reportTestOutcome(testCaseNb,bRes);

   }


    public void processToolkit(byte event)
    {
        // Get the system instance of the ProactiveHandler class
        ProactiveHandler proHdlr  = ProactiveHandler.getTheHandler() ;

		if (event !=  EVENT_FORMATTED_SMS_PP_ENV)
        	return;

		// -----------------------------------------------------------------
		// Test Case 2 :	clear Event
		// -----------------------------------------------------------------

        boolean bRes=false;
        byte testCaseNb=(byte)0x02;
		obReg.clearEvent((byte) EVENT_EVENT_DOWNLOAD_MT_CALL);
		obReg.clearEvent((byte) EVENT_EVENT_DOWNLOAD_LOCATION_STATUS);

		proHdlr.initDisplayText((byte)0x00, DCS_8_BIT_DATA, Test, (short)0, (short)Test.length) ;
        proHdlr.send() ;

		bRes = true;

		reportTestOutcome(testCaseNb, bRes);

		}

}

