//-----------------------------------------------------------------------------
//    FWK_TIN_ITID_3.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------
package sim.test.framework.fwk_tin_itid ;

//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------
import sim.toolkit.* ;
import javacard.framework.* ;
import sim.test.util.* ;

/**
 * Test Area : sim.toolkit.framework Toolkit Installation
 * 
 * Applet is triggered on Install (Install), EVENT_FORMATTED_SMS_PP_ENV
 *
 * @version 0.0.1 - 20/07/01
 * @author 3GPP T3 SWG API
 *
 * @see sim.toolkit.framework
 */
public class FWK_TIN_ITID_3 extends TestToolkitApplet
{
    byte [] menuInit = {(byte) 'M',
			(byte) 'e',
			(byte) 'n',
			(byte) 'u',
			(byte) '3',
			(byte) '1'};
    
    /** Registry entry concerning applet instance */
    private ToolkitRegistry oReg;
        
    /**
     * Constructor of the applet
     */
    public FWK_TIN_ITID_3() 
    {
    	oReg = ToolkitRegistry.getEntry();
	oReg.initMenuEntry(menuInit, (short) 0, (short) 6, (byte) 0, false, (byte) 0, (short) 0);
    }


    /**
     * Method called by the JCRE at the installation of the applet
     */
    public static void install(byte bArray[], short bOffset, byte bLength) 
    {
        // Create a new applet instance
        FWK_TIN_ITID_3 thisApplet = new FWK_TIN_ITID_3();

        // Register the new applet instance to the JCRE            
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);

        // Initialise the data of the test applet
        thisApplet.init();    
    }
    

    /**
       * Method called by the SIM Toolkit Framework
     */
    public void processToolkit(byte event) 
    {        
    }
}
