//-----------------------------------------------------------------------------
//    FWK_TIN_PRLV_7.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------
package sim.test.framework.fwk_tin_prlv_7;

//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------
import sim.toolkit.* ;
import javacard.framework.* ;
import sim.test.util.* ;

/**
 * Test Area : Framework_ToolkitInstallation_PriorityLevel(byte event) method
 * 
 * Applet is triggered on Install (Install), EVENT_UNFORMATTED_SMS_PP_ENV
 *
 * @version 0.0.1 - 20/09/01
 *
 */
public class FWK_TIN_PRLV_7 extends TestToolkitApplet
{

	private static byte bNbInstance = (byte)0 ;			 // instance number
	private static byte bNbInstanceTriggered = (byte)0 ; // number of times the applet is triggered
	private byte		bMyInstanceId ;

	
    /**
     * Constructor of the applet
     */
    public FWK_TIN_PRLV_7() 
    {
		FWK_TIN_PRLV_7.bNbInstance ++;
		this.bMyInstanceId = bNbInstance;
    }

    /**
     * Method called by the JCRE at the installation of the applet
     */
    public static void install(byte bArray[], short bOffset, byte bLength) 
    {
        // Create a new applet instance
        FWK_TIN_PRLV_7 thisApplet = new FWK_TIN_PRLV_7();

        // Register the new applet instance to the JCRE            
        thisApplet.register(bArray, (short)(bOffset+1), (byte) bArray[bOffset]);
 
		// Initialise the data of the test applet
        thisApplet.init();

		// register instance with the EVENT_UNFORMATTED_SMS_PP_ENV event
		thisApplet.obReg.setEvent(EVENT_UNFORMATTED_SMS_PP_ENV);

		
    }


    /**
     * Method called by the SIM Toolkit Framework
     */
    public void processToolkit(byte event) 
    {
		if (event == EVENT_UNFORMATTED_SMS_PP_ENV) {
			
			bNbInstanceTriggered ++ ;
			switch (bMyInstanceId) {

		// -----------------------------------------------------------------
		//		 Instance 1 execution, Priority Level 1
		// -----------------------------------------------------------------

			case (byte)1:
				if ( bNbInstanceTriggered == (byte)2 ) {
					reportTestOutcome((byte)1, true) ;
				}
				else {
					reportTestOutcome((byte)1, false) ;
				}
				break;

		// -----------------------------------------------------------------
		//		 Instance 2 execution, Priority Level 1
		// -----------------------------------------------------------------

			case (byte)2:
				if ( bNbInstanceTriggered == (byte)1 ) {
					reportTestOutcome((byte)1, true) ;
				}
				else {
					reportTestOutcome((byte)1, false) ;
				}
				break;

			default:
				reportTestOutcome ((byte)1, false);
				break;

			}
		}	}
}



