//-----------------------------------------------------------------------------
//    FWK_APT_EDLS_1.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------

package sim.test.framework.fwk_apt_edls;


//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------


import sim.toolkit.*;
import javacard.framework.*;
import sim.test.util.*;


/**
 * Test Area: Applet Triggering
 *
 * Applet is triggered on Install (Install, all events
 *
 * @version 0.0.1 - 15/11/01
 *
 */

 public class FWK_APT_EDLS_1 extends TestToolkitApplet{

     private byte testCaseNb = (byte) 0x00;
     private static boolean bRes;
     //private static ToolkitRegistry obReg;

    //Constructor of the applet

    public FWK_APT_EDLS_1(){
        //register to EVENT DOWNLOAD LOCATION STATUS
       // obReg = ToolkitRegistry.getEntry();
        obReg.setEvent(EVENT_EVENT_DOWNLOAD_LOCATION_STATUS);
    }


    //Method called by the JCRE at the installation of the applet
    public static void install (byte bArray[], short bOffset, byte bLength){

        //Create a new applet instace
        FWK_APT_EDLS_1 thisApplet = new FWK_APT_EDLS_1();

        // Register the new applet instance to the JCRE
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);
        // Initialise the data of the test applet
        thisApplet.init();
        bRes=thisApplet.obReg.isEventSet(EVENT_EVENT_DOWNLOAD_LOCATION_STATUS);
    }


    //Method called by the SIM Toolkit Framework

    public void processToolkit(byte event){

        //event EVENT_EVENT_DOWNLOAD_LOCATION_STATUS
        if(event==EVENT_EVENT_DOWNLOAD_LOCATION_STATUS){

            switch(testCaseNb){

                case (byte)0x00:
                    testCaseNb=(byte)0x01;
                    reportTestOutcome(testCaseNb,bRes);
                    bRes=false;
                    //TEST CASE 2: UNREGISTER THE APPLET TO THE EVENT
                    testCaseNb=(byte)0x02;
                    try{
                        //register to EVENT_EVENT_DOWNLOAD_LOCATION_STATUS
                        obReg.clearEvent(EVENT_EVENT_DOWNLOAD_LOCATION_STATUS);
                        bRes=true;
                    }
                    catch(Exception e){
                        bRes=false;
                    }
                    reportTestOutcome(testCaseNb,bRes);
		    reportTestOutcome((byte)0x03,true);
               break;
               case (byte)0x02:
               	    testCaseNb=(byte)0x03;
               	    bRes=false;
               	    reportTestOutcome(testCaseNb,bRes);
               break;
               case (byte)0x04:
               	   //TEST CASE 5: THE APPLET MUST BE TRIGGERED
                   testCaseNb=(byte)0x05;
                   bRes=true;
                   reportTestOutcome(testCaseNb,bRes);
            }
        }

        //event EVENT_FORMATTED_SMS_PP_ENV
        if(event==EVENT_FORMATTED_SMS_PP_ENV){
	    //TEST CASE 4: THE APPLET IS REGISTERED TO THE EVENT
            testCaseNb=(byte)0x04;
            try{
                //register to EVENT_EVENT_DOWNLOAD_LOCATION_STATUS
                obReg.setEvent(EVENT_EVENT_DOWNLOAD_LOCATION_STATUS);
                bRes=true;
            }
            catch(Exception e){
                bRes=false;
            }
            reportTestOutcome(testCaseNb,bRes);


        }

    }

 }