//-----------------------------------------------------------------------------
//    FWK_APT_EMSH_2.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------

package sim.test.framework.fwk_apt_emsh;


//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------


import sim.toolkit.*;
import javacard.framework.*;
import sim.test.util.*;


/**
 * Test Area: Applet Triggering
 *
 * Applet is triggered on Install (Install, all events
 *
 * @version 0.0.1 - 15/11/01
 *
 */

 public class FWK_APT_EMSH_2 extends TestToolkitApplet{

     private static byte testCaseNb = (byte) 0x00;
     private byte[] menuEntry2 ={(byte)'A',(byte)'p',(byte)'p',(byte)'l',(byte)'e',(byte)'t',(byte)' ',(byte)'2'};
     private static boolean bRes;
     //private static ToolkitRegistry obReg;
     private byte nbTriggers=(byte)0x00;

    //Constructor of the applet

    public FWK_APT_EMSH_2(){
        //

       // obReg=ToolkitRegistry.getEntry();
        //register to EVENT MENU SELECTION
        //TEST CASE 1: CHECKS IF THE APPLET IS REGISTERED TO THE EVENT
        obReg.initMenuEntry(menuEntry2,(short)0x00,(short)menuEntry2.length,(byte)0x00,true,(byte)0x00,(short)0x00);
    }


    //Method called by the JCRE at the installation of the applet
    public static void install (byte bArray[], short bOffset, byte bLength){

        //Create a new applet instace
        FWK_APT_EMSH_2 thisApplet = new FWK_APT_EMSH_2();

        // Register the new applet instance to the JCRE
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);
        // Initialise the data of the test applet
        thisApplet.init();
         bRes=thisApplet.obReg.isEventSet(EVENT_MENU_SELECTION_HELP_REQUEST);

        thisApplet.baTestsResults[(byte)0x02]=(byte)0xCC;

    }


    //Method called by the SIM Toolkit Framework

    public void processToolkit(byte event){

        //TEST CASE 1: THE APPLET IS REGISTERED TO EVENT_MENU_SELECTION EVENT
        nbTriggers++;
        testCaseNb=(byte)0x01;
        reportTestOutcome(testCaseNb,bRes);
        if(nbTriggers!=1){
	   bRes=false;
	   testCaseNb=(byte)0x02;
	   reportTestOutcome(testCaseNb,bRes);	
        }
        bRes=true;
        testCaseNb=(byte)0x03;
        reportTestOutcome(testCaseNb,bRes);	

    }


 }