//-----------------------------------------------------------------------------
//    FWK_FWS_INDA_2.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------
package sim.test.framework.fwk_fws_inda;

//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------
import sim.toolkit.*;
import javacard.framework.*;
import sim.test.util.*;

/**
 * Test Area : sim.toolkit.framework Framework security
 *
 * Applet is triggered on EVENT_FORMATTED_SMS_PP_ENV
 *
 * @version 0.0.3 - 14/02/02
 * @author 3GPP T3 SWG API
 *
 */
public class FWK_FWS_INDA_2 extends TestToolkitApplet
{
	byte testCaseNb = (byte) 0x00;
	byte[] buffer = new byte[25];

    /** Registry entry concerning applet instance */
    private ToolkitRegistry oReg;

    /**
     * Constructor of the applet
     */
    public FWK_FWS_INDA_2() {
	}


    /**
     * Method called by the JCRE at the installation of the applet
     */
    public static void install(byte bArray[], short bOffset, byte bLength)
    {
        // Create a new applet instance
        FWK_FWS_INDA_2 thisApplet = new FWK_FWS_INDA_2();

        // Register the new applet instance to the JCRE
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);

        // Initialise the data of the test applet
        thisApplet.init();

    }


    /**
       * Method called by the SIM Toolkit Framework
     */
    public void processToolkit(byte event)
    {
		// Result of each test
		boolean bRes = false;

		// Get the system instance of the EnvelopeHandler class
		EnvelopeHandler envHdlr = EnvelopeHandler.getTheHandler();

		// Sets the test case number
		testCaseNb = 3;

		short length = 0;
		short offset = 0;
		byte data = 0;

		try {
			bRes = false;
			offset = envHdlr.getSecuredDataOffset();
			length = envHdlr.getSecuredDataLength();
			envHdlr.copyValue(offset, (byte[])buffer, (short)0x00, length);
			data = buffer [0];
		    if ((data == (byte)3) & (length == (byte)1)) {
			    bRes = true;
			}
		}
		catch (Exception e)    {
		    bRes = false;
		}
		reportTestOutcome(testCaseNb, bRes);
	}
}
