//-----------------------------------------------------------------------------
//    FWK_HIN_PAHD_2.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------

package sim.test.framework.fwk_hin_pahd;


//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------


import sim.toolkit.*;
import javacard.framework.*;
import sim.test.util.*;


/**
 * Test Area: Handler Integrity
 *
 * Applet is triggered on Install (Install, all events
 *
 * @version 0.0.1 - 15/11/01
 *
 */

 public class FWK_HIN_PAHD_2 extends TestToolkitApplet{

     private byte testCaseNb = (byte) 0x00;
     private boolean bRes;


    //Constructor of the applet

    public FWK_HIN_PAHD_2(){

            //register to EVENT_UNFORMATTED_SMS_PP_ENV
        obReg.setEvent(EVENT_UNFORMATTED_SMS_PP_ENV);
    }


    //Method called by the JCRE at the installation of the applet
    public static void install (byte bArray[], short bOffset, byte bLength){

        //Create a new applet instace
        FWK_HIN_PAHD_2 thisApplet = new FWK_HIN_PAHD_2();

        // Register the new applet instance to the JCRE
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);
        // Initialise the data of the test applet
        thisApplet.init();
    }


    //Method called by the SIM Toolkit Framework

    public void processToolkit(byte event){

        bRes=true;
        byte value;
        testCaseNb=(byte)0x01;

        try{
            //The handler lenght is 0;
            ProactiveHandler prHdlr=ProactiveHandler.getTheHandler();
            if(prHdlr.getLength()!=0){
                bRes=false;
            }
            //ToolkitException UNAVAILABLE_ELEMENT is thrown
            if(bRes){
               try{
                    value=(byte)prHdlr.getValueLength();
                    bRes=false;
               }
               catch(ToolkitException e){
                    if(e.getReason()!=ToolkitException.UNAVAILABLE_ELEMENT){
                        bRes=true;
                    }
               }
               catch(Exception e){
                bRes=false;
               }
            }
        }
        catch(Exception e){
            bRes=false;
        }

        reportTestOutcome(testCaseNb,bRes);
    }
 }

