//-----------------------------------------------------------------------------
//      API_2_TKE_THITS_1.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//      Package Definition
//-----------------------------------------------------------------------------
package sim.test.toolkit.api_2_tke_thits;

//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------
import sim.toolkit.* ;
import javacard.framework.* ;
import sim.test.util.*;

/**
 */
public class API_2_TKE_THITS_1 extends TestToolkitApplet {

     /**
     * Constructor of the applet
     */
    public API_2_TKE_THITS_1()
    {
    }

    /**
     * Method called by the JCRE at the installation of the applet
     */
    public static void install(byte bArray[], short bOffset, byte bLength)
    {
        // Create a new applet instance
        API_2_TKE_THITS_1 thisApplet = new API_2_TKE_THITS_1();

        // Register the new applet instance to the JCRE
        thisApplet.register(bArray, (short)(bOffset+1), (byte)bArray[bOffset]);

      // Initialise the data of the test applet.
        thisApplet.init();
    }

  /**
   * Method called by the SIM Toolkit Framework
   */
  public void processToolkit(byte event) {
    // Number of tests
    byte testCaseNb = (byte)0;
    // Result of tests
    boolean bRes = false;
                /** Test Case 1 : Throws the JCRE instance of ToolkitException with the specified reason 0 */

                testCaseNb = (byte)1;
                bRes = false ;
                try {
                    ToolkitException.throwIt((short) 0);
                }
                catch (ToolkitException ToolEx) {
                    bRes=   (ToolEx.getReason() == (short)0);
                }
                catch( Throwable ToolEx ) {
                // Error, throw not as a ToolkitException
                    bRes = false ;
                }

                reportTestOutcome(testCaseNb, bRes) ;

                /** Test Case 2 : Throws the JCRE instance of ToolkitException with the specified reason 1*/
                testCaseNb = (byte)2;
                bRes = false ;

                try {
                    ToolkitException.throwIt((short) 1);
                }
                catch (ToolkitException ToolEx) {
                    bRes =  (ToolEx.getReason() == (short)1 );
                }
                catch( Throwable ToolEx ) {
                // Error, throw not as a ToolkitException
                    bRes = false ;
                }
                reportTestOutcome(testCaseNb, bRes) ;

                /** Test Case 3 : Throws the JCRE instance of ToolkitException with the specified reason 15*/
                testCaseNb = (byte)3;
                bRes = false ;

                try {
                    ToolkitException.throwIt((short) 15);
                }
                catch (ToolkitException ToolEx) {
                    bRes =  (ToolEx.getReason() == (short)15 );
                }
                catch( Throwable ToolEx ) {
                // Error, throw not as a ToolkitException
                    bRes = false ;
                }
                reportTestOutcome(testCaseNb, bRes) ;

                /** Test Case 4 : ToolkitException extends javacard.framework.CardRuntimeException reason 0*/
                testCaseNb = (byte)4;
                bRes = false ;

                try {
                    ToolkitException.throwIt((short) 0);
                }
                catch (CardRuntimeException CardEx) {
                    bRes =  (CardEx.getReason() == (short)0 );
                }
                catch( Throwable CardEx ) {
                // Error, throw not as a ToolkitException
                    bRes = false ;
                }
                reportTestOutcome(testCaseNb, bRes) ;

                /** Test Case 5 : ToolkitException extends javacard.framework.CardRuntimeException reason 1*/
                testCaseNb = (byte)5;
                bRes = false ;

                try {
                    ToolkitException.throwIt((short) 1);
                }
                catch (CardRuntimeException CardEx) {
                    bRes =  (CardEx.getReason() == (short)1 );
                }
                catch( Throwable CardEx ) {
                // Error, throw not as a ToolkitException
                    bRes = false ;
                }
                reportTestOutcome(testCaseNb, bRes) ;

                /** Test Case 6 : ToolkitException extends javacard.framework.CardRuntimeException reason 15*/
                testCaseNb = (byte)6;
                bRes = false ;

                try {
                    ToolkitException.throwIt((short) 15);
                }
                catch (CardRuntimeException CardEx) {
                    bRes =  (CardEx.getReason() == (short)15 );
                }
                catch( Throwable CardEx ) {
                // Error, throw not as a ToolkitException
                    bRes = false ;
                }
                reportTestOutcome(testCaseNb, bRes) ;
  }

}
